/*
 * Created on 2020-02-08 ( Time 09:23:24 )
 * Generated by Telosys Tools Generator ( version 3.1.2 )
 */
// This Bean has a basic Primary Key (not composite) 

package ci.salaamsolutions.projet.spasuce.dao.entity;

import java.io.Serializable;

//import javax.validation.constraints.* ;
//import org.hibernate.validator.constraints.* ;

import java.util.Date;

import javax.persistence.*;

import lombok.*;

/**
 * Persistent class for entity stored in table "appel_doffres_restreint"
 *
* @author Back-End developper
   *
 */

@Entity
@Table(name="appel_doffres_restreint" )
@Data // getters setters
@AllArgsConstructor // constructeur avec arguments
@NoArgsConstructor // constructeur sans arguments
public class AppelDoffresRestreint implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    //----------------------------------------------------------------------
    // ENTITY PRIMARY KEY ( BASED ON A SINGLE FIELD )
    //----------------------------------------------------------------------
	/*
	 * 
	 */
    @Id
    @GeneratedValue(strategy=GenerationType.AUTO)
    @Column(name="id", nullable=false)
    private Integer    id           ;


    //----------------------------------------------------------------------
    // ENTITY DATA FIELDS 
    //----------------------------------------------------------------------    
	/*
	 * Pour retirer un fournisseur
	 */
    @Column(name="is_desactiver")
    private Boolean    isDesactiver ;

	/*
	 * Si l'offre du . fournisseur a été retenu pr cet AO
	 */
    @Column(name="is_selected_by_client")
    private Boolean    isSelectedByClient ;

	/*
	 * Si le fournisseur ne veut plus voir l'offre
	 */
    @Column(name="is_visible_by_fournisseur")
    private Boolean    isVisibleByFournisseur ;

	/*
	 * Quand le fournisseur aura cliqué sur la notification	
	 */
    @Column(name="is_visualiser_notif_by_fournisseur")
    private Boolean    isVisualiserNotifByFournisseur ;

	/*
	 * Quand le fournisseur aura regarder le contenu de la notification	
	 */
    @Column(name="is_visualiser_contenu_by_fournisseur")
    private Boolean    isVisualiserContenuByFournisseur ;

	/*
	 * Pour dire que l'AO a été modifier après soumission dans le système
	 */
    @Column(name="is_update_appel_doffres")
    private Boolean    isUpdateAppelDoffres ;

	/*
	 * Quand le fournisseur aura postuler pour un appel d'offre	
	 */
    @Column(name="is_soumissionner_by_fournisseur")
    private Boolean    isSoumissionnerByFournisseur ;

	/*
	 * 
	 */
    @Column(name="is_appel_restreint")
    private Boolean    isAppelRestreint ;

	/*
	 * 
	 */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at")
    private Date       createdAt    ;

	/*
	 * 
	 */
    @Column(name="created_by")
    private Integer    createdBy    ;

	/*
	 * 
	 */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="updated_at")
    private Date       updatedAt    ;

	/*
	 * 
	 */
    @Column(name="updated_by")
    private Integer    updatedBy    ;

	/*
	 * 
	 */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="deleted_at")
    private Date       deletedAt    ;

	/*
	 * 
	 */
    @Column(name="deleted_by")
    private Integer    deletedBy    ;

	/*
	 * 
	 */
    @Column(name="is_deleted")
    private Boolean    isDeleted    ;

	// "userFournisseurId" (column "user_fournisseur_id") is not defined by itself because used as FK in a link 
	// "appelDoffresId" (column "appel_doffres_id") is not defined by itself because used as FK in a link 


    //----------------------------------------------------------------------
    // ENTITY LINKS ( RELATIONSHIP )
    //----------------------------------------------------------------------
    @ManyToOne
    @JoinColumn(name="user_fournisseur_id", referencedColumnName="id")
        private User user;
    @ManyToOne
    @JoinColumn(name="appel_doffres_id", referencedColumnName="id")
        private AppelDoffres appelDoffres;

	//----------------------------------------------------------------------
    // clone METHOD
    //----------------------------------------------------------------------
	@Override
	public Object clone() throws CloneNotSupportedException {
		return super.clone();
	}
}
